Version: 1.80
Release: alt5
Name: emacs-ecb
Copyright: GPL
Group: Editors
Url: http://home.swipnet.se/mayhem/ecb.html
Summary: Emacs Code Browser
Summary(ru_RU.CP1251): Emacs Code Browser
Requires: emacs-common emacs-elib emacs-semantic >= 1.4 emacs-jdee emacs-eieio >= 0.17
Source: ecb-%{version}.tar.gz
Source1: ecb-emacs.el

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 18 2002
BuildRequires: emacs-common emacs-elib emacs-semantic >= 1.4 emacs-jdee emacs-eieio >= 0.17

%description
This is code browser for Emacs for C, C++, Java

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.CP1251
ECB       C, C++, Java

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n ecb-%{version}

%build
make LOADPATH="%{_emacslispdir}/elib %{_emacslispdir}/eieio %{_emacslispdir}/semantic %{_emacslispdir}/jde" all

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/ecb
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/ecb

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/ecb.el

%post
%install_info ecb.info

%preun
%uninstall_info ecb.info

%files
%defattr(-, root, root)
%doc HISTORY RELEASE_NOTES README ecb.html
%{_emacslispdir}/ecb/*.elc
%config(noreplace) /etc/emacs/site-start.d/*
%{_infodir}/*

%files el
%{_emacslispdir}/ecb/*.el

%changelog
* Mon Jan 13 2003 Ott Alex <ott@altlinux.ru> 1.80-alt5
- fixinf spec file

* Mon Aug 26 2002 Ott Alex <ott@altlinux.ru> 1.80-alt3
- fixinf spec file

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 1.80-alt2
- Splitting on byte-compiled & source packages

* Wed Aug 14 2002 Ott Alex <ott@altlinux.ru> 1.80-alt1
- New version with many improvments

* Mon Aug 12 2002 Ott Alex <ott@altlinux.ru> 1.70-alt3
- Correcting spec file

* Tue Aug 06 2002 Ott Alex <ott@altlinux.ru> 1.70-alt2
- Adding right Requires to spec

* Thu Jul 18 2002 Ott Alex <ott@altlinux.ru> 1.70-alt1
- Initial build

